incubator-libcloud mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Querna <p...@querna.org>
Subject Re: [libcloud] Zope Interface Dependency
Date Tue, 11 May 2010 19:44:05 GMT
On Tue, May 11, 2010 at 12:07 PM, Eric Woods <woodstae@gmail.com> wrote:
> Hey guys,
>
> I propose that we clearly document libcloud's dependency on zope.interface
> with instructions for resolving this dependency.  As a developer new to
> Python, it took a lot of time to learn that the zope.interface egg needs to
> be deployed with easy_install, and I can't find any mention of this on
> libcloud's homepage.  Is this dependency supposed to be resolved with the
> "python setup.py install" command?  It doesn't on Windows.
>
> Thoughts?

I think we should just remove the dependency  on zope interface,
because right now it isn't providing us much value for the dependency.

We talked about it before; there wasn't 100% agreement, but mostly it
felt like nobody got around to actually removing it.

Thoughts?

Thanks,

Paul

Mime
View raw message